トップ «前の日記(2018-12-05 (Wed)) 最新 編集   RSS 1.0 FEED  

Journal InTime


2018-12-26 (Wed) [長年日記]

_ Ruby 2.6.0

2.6.0が出たのでこのサイト(FreeBSD 11.2)のRubyをアップグレードした。

bundle install時にidn-rubyのビルドで失敗した。

$ gem install idn-ruby -- --with-idn-include=/usr/local/include --with-idn-lib=/usr/local/lib

としたらgem単体のインストールは成功したので、

$ bundle config build.idn-ruby --with-opt-include=/usr/local/include --with-opt-lib=/usr/local/lib

としてみるも、やはり失敗。

$ bundle config  build.idn-ruby --with-idn-dir=/usr/local

としたら上手く行った。

複数オプションがある場合の挙動がおかしい?

Tags: Ruby